List models
curl --request GET \
--url https://api.tikway.ai/v1/models \
--header 'Content-Type: none' \
--data '{}'import requests
url = "https://api.tikway.ai/v1/models"
payload = "{}"
headers = {"Content-Type": "none"}
response = requests.get(url, data=payload, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Content-Type': 'none'}, body: '{}'};
fetch('https://api.tikway.ai/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tikway.ai/v1/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => "{}",
CURLOPT_HTTPHEADER => [
"Content-Type: none"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tikway.ai/v1/models"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Content-Type", "none")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tikway.ai/v1/models")
.header("Content-Type", "none")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tikway.ai/v1/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'none'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"id": "black-forest-labs/flux-3-video",
"name": "FLUX 3 Video",
"aliases": [
"flux-3-video"
],
"context_length": null,
"architecture": {
"input_modalities": [
"text",
"image",
"video"
],
"output_modalities": [
"video"
]
},
"capabilities": {
"reasoning_efforts": [],
"endpoints": [
"/v1/videos"
],
"parameters": {
"common": [
"model",
"prompt",
"duration",
"resolution",
"aspect_ratio",
"frame_images",
"input_references",
"generate_audio",
"extra_body"
],
"/v1/videos": []
}
},
"object": "model",
"owned_by": "Flux",
"video_attributes": {
"modes": [
"t2v",
"i2v",
"v2v"
],
"resolutions": [
"480p",
"720p",
"1080p"
],
"default_resolution": "720p",
"min_duration_seconds": 5,
"max_duration_seconds": 20,
"supports_audio": true,
"aspect_ratios": [
"16:9",
"9:16",
"1:1"
]
}
}
]
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}OpenAI protocol
List models
List models available through the gateway. Filter by model type with the type query parameter.
GET
https://api.tikway.ai
/
v1
/
models
List models
curl --request GET \
--url https://api.tikway.ai/v1/models \
--header 'Content-Type: none' \
--data '{}'import requests
url = "https://api.tikway.ai/v1/models"
payload = "{}"
headers = {"Content-Type": "none"}
response = requests.get(url, data=payload, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Content-Type': 'none'}, body: '{}'};
fetch('https://api.tikway.ai/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tikway.ai/v1/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => "{}",
CURLOPT_HTTPHEADER => [
"Content-Type: none"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tikway.ai/v1/models"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Content-Type", "none")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tikway.ai/v1/models")
.header("Content-Type", "none")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tikway.ai/v1/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'none'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"id": "black-forest-labs/flux-3-video",
"name": "FLUX 3 Video",
"aliases": [
"flux-3-video"
],
"context_length": null,
"architecture": {
"input_modalities": [
"text",
"image",
"video"
],
"output_modalities": [
"video"
]
},
"capabilities": {
"reasoning_efforts": [],
"endpoints": [
"/v1/videos"
],
"parameters": {
"common": [
"model",
"prompt",
"duration",
"resolution",
"aspect_ratio",
"frame_images",
"input_references",
"generate_audio",
"extra_body"
],
"/v1/videos": []
}
},
"object": "model",
"owned_by": "Flux",
"video_attributes": {
"modes": [
"t2v",
"i2v",
"v2v"
],
"resolutions": [
"480p",
"720p",
"1080p"
],
"default_resolution": "720p",
"min_duration_seconds": 5,
"max_duration_seconds": 20,
"supports_audio": true,
"aspect_ratios": [
"16:9",
"9:16",
"1:1"
]
}
}
]
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}Query Parameters
Minimum string length:
1Body
none
The body is of type object.
Response
Successful response
Allowed value:
"list"Hide child attributes
Hide child attributes
Allowed value:
"model"Hide child attributes
Hide child attributes

